## bash 5.1

=== lib/readline/doc/Makefile ===
# Derived by hand from the generated readline-src/doc/Makefile
# This makefile for Readline library documentation is in -*- text -*- mode.
# Emacs likes it that way.

#   Copyright (C) 1996-2002 Free Software Foundation, Inc.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#


topdir = .
srcdir = .
VPATH = .

prefix = /usr/local
infodir = ${prefix}/info

mandir = ${prefix}/man
manpfx = man

man1ext = 1
man1dir = $(mandir)/$(manpfx)$(man1ext)
man3ext = 3
man3dir = $(mandir)/$(manpfx)$(man3ext)

SHELL = /bin/sh
RM = rm -f

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

BUILD_DIR = .
TEXINPUTDIR = $(srcdir)

MAKEINFO    = LANGUAGE= makeinfo
TEXI2DVI    = $(srcdir)/texi2dvi
TEXI2HTML   = $(srcdir)/texi2html
QUIETPS     = #set this to -q to shut up dvips
PSDPI       = 300	# I don't have any 600-dpi printers
DVIPS       = dvips -D ${PSDPI} $(QUIETPS) -o $@     # tricky

RLSRC = $(srcdir)/rlman.texi $(srcdir)/rluser.texi \
	$(srcdir)/rltech.texi $(srcdir)/version.texi \
	$(srcdir)/rluserman.texi
HISTSRC = $(srcdir)/history.texi $(srcdir)/hsuser.texi \
	  $(srcdir)/hstech.texi $(srcdir)/version.texi

# This should be a program that converts troff to an ascii-readable format
NROFF       = groff -Tascii

# This should be a program that converts troff to postscript
GROFF       = groff

DVIOBJ = readline.dvi history.dvi rluserman.dvi
INFOOBJ = readline.info history.info rluserman.info
PSOBJ = readline.ps history.ps rluserman.ps
HTMLOBJ = readline.html history.html rluserman.html

INTERMEDIATE_OBJ = rlman.dvi

CREATED_DOCS = $(DVIOBJ) $(INFOOBJ) $(PSOBJ) $(HTMLOBJ)

.SUFFIXES:      .ps .txt .dvi

all: info dvi html ps 
nodvi: info html

readline.dvi: $(RLSRC)
	TEXINPUTS=.:$(TEXINPUTDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/rlman.texi
	mv rlman.dvi readline.dvi

readline.info: $(RLSRC)
	$(MAKEINFO) --no-split -I $(TEXINPUTDIR) -o $@ $(srcdir)/rlman.texi

rluserman.dvi: $(RLSRC)
	TEXINPUTS=.:$(TEXINPUTDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/rluserman.texi

rluserman.info: $(RLSRC)
	$(MAKEINFO) --no-split -I $(TEXINPUTDIR) -o $@ $(srcdir)/rluserman.texi

history.dvi: ${HISTSRC}
	TEXINPUTS=.:$(TEXINPUTDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/history.texi

history.info: ${HISTSRC}
	$(MAKEINFO) --no-split -I $(TEXINPUTDIR) -o $@ $(srcdir)/history.texi

readline.ps:	readline.dvi
	$(RM) $@
	$(DVIPS) readline.dvi

rluserman.ps:	rluserman.dvi
	$(RM) $@
	$(DVIPS) rluserman.dvi

history.ps:	history.dvi
	$(RM) $@
	$(DVIPS) history.dvi

readline.html:	${RLSRC}
	$(TEXI2HTML) -menu -monolithic -I $(TEXINPUTDIR) $(srcdir)/rlman.texi
	sed -e 's:rlman.html:readline.html:' rlman.html > readline.html
	$(RM) rlman.html

rluserman.html:	${RLSRC}
	$(TEXI2HTML) -menu -monolithic -I $(TEXINPUTDIR) $(srcdir)/rluserman.texi

history.html:	${HISTSRC}
	$(TEXI2HTML) -menu -monolithic -I $(TEXINPUTDIR) $(srcdir)/history.texi

info:	$(INFOOBJ)
dvi:	$(DVIOBJ)
ps:	$(PSOBJ)
html:	$(HTMLOBJ)

clean:
	$(RM) *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr *.cps *.pgs \
	      *.fns *.kys *.tps *.vrs *.o core

distclean: clean
	$(RM) $(CREATED_DOCS)
	$(RM) $(INTERMEDIATE_OBJ)
	$(RM) Makefile

mostlyclean: clean

maintainer-clean: clean
	$(RM) $(CREATED_DOCS)
	$(RM) $(INTERMEDIATE_OBJ)
	$(RM) Makefile

install:
	@echo "This documentation should not be installed."

uninstall:

## bash 2.05b-2-26osso2

=== debian/changelog ===
bash (2.05b-2-26osso2) testing-proposed-updates; urgency=low

  * pre-install deleted - there is no need in its checks under,
    scratchbox. and some of them evern failed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 25 Aug 2006 19:46:54 +0300

bash (2.05b-2-26osso1) testing-proposed-updates; urgency=low

  * ARCH variable added to the list of arch-dependent vers

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 24 May 2006 15:01:38 +0300

bash (2.05b-2-26osso) testing-proposed-updates; urgency=low

  * bash-static removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  6 Apr 2006 11:54:21 +0300

bash (2.05b-2-26) testing-proposed-updates; urgency=medium

  * debian/skel.bashrc: Quote dircolors invocation (closes: #285840).

 -- Matthias Klose <doko@debian.org>  Sun, 19 Dec 2004 17:44:04 +0100

bash (2.05b-2-25) testing-proposed-updates; urgency=low

  * Add a comment to /etc/bash.bashrc that the file is not read by
    login shells (closes: #271413).
  * Sync skeleton files with those from unstable.
  * Sync builtin CDPATH documentation with man page (closes: #259767).
  * Document conditional file expressions acting on the target of
    symbolic links as well (except -h, -L). Closes: #231267.
  * lib/readline/chardefs.h:
    Remove the NON_NEGATIVE macro in the definition of the _rl_lowercase_p,
    _rl_uppercase_p, _rl_pure_alphabetic, ALPHABETIC macros. Safe for glibc.
    Note, that the selected locale must be generated on the system to
    make i.e. kill-word work with 8-bit strings.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Oct 2004 10:46:48 +0200

bash (2.05b-2-24) testing-proposed-updates; urgency=low

  * Explicitely check for the existance of /usr/sbin/add-shell in the postrm.

 -- Matthias Klose <doko@debian.org>  Mon,  6 Sep 2004 19:56:50 +0200

bash (2.05b-2-23) testing-proposed-updates; urgency=low

  * Address build failure calling the 'binary' target directly instead of
    dpkg-buildpackage (closes: #263797).

 -- Matthias Klose <doko@debian.org>  Fri,  6 Aug 2004 07:14:10 +0200

bash (2.05b-2-22) unstable; urgency=low

  * Brown paperbag ... Fix typo in bash-minimal's postinst.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jul 2004 23:04:56 +0200

bash (2.05b-2-21) unstable; urgency=low

  * Remove the pre-dependency on passwd.
  * Explicitely check for the existance of /usr/sbin/add-shell.
  * Reassign #257744 to debootstrap to correctly handle the installation.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jul 2004 22:57:19 +0200

bash (2.05b-2-20) unstable; urgency=medium

  * Make passwd a pre-dependency (closes: #257744).

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2004 06:56:38 +0200

bash (2.05b-2-19) unstable; urgency=low

  * Build using gcc, not gcc-3.4 (closes: #259208).

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jul 2004 21:25:28 +0200

bash (2.05b-2-18) unstable; urgency=low

  * Tighten dependency on passwd (closes: #257717).
  * Update to bash_completion 20040711 (v1.737).
    - Fix mutt folder completion (closes: #248635).
  * Fix tab completion on relative path directories (closes: #189006).
  * Modify lib/malloc/malloc.c to make it compile with gcc-3.4 (Andreas
    Jochens). Closes: #258456.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jul 2004 06:15:46 +0200

bash (2.05b-2-17) unstable; urgency=low

  * Add dependencies on passwd (closes: #257630).

 -- Matthias Klose <doko@debian.org>  Sun,  4 Jul 2004 22:56:17 +0200

bash (2.05b-2-16) unstable; urgency=low

  * Handle shells using add-shell/remove-shell (closes: #254476).
  * Update to bash_completion 20040704 (v1.731).
    - Add autocompletion for dpkg -P, --purge (closes: #241042, #249934).
    - Fix mutt folder completion (closes: #248635).
    - Add autossh to ssh completions (closes: #252090).
    - Emacs completion does not discard .tar* archives (closes: #252347).
    - Add MS filename extensions to OpenOffice (closes: #252635).
    - Add completion for tar.Z files (closes: #254896).
    - Fix problems with sed-4.1 (closes: #256000).
    - Fix dpkg completion with multiple arguments (closes: #257544).
  * Fix formatting in bash(1). Closes: #248344.

 -- Matthias Klose <doko@debian.org>  Sun,  4 Jul 2004 16:07:24 +0200

bash (2.05b-2-15) unstable; urgency=low

  * Fix a bug that caused a leading `-' in the shell's name to cause it to
    not be recognized as a restricted shell (closes: #170298).
  * Fix option in menu file (closes: #162152). 
  * Backout patches/random patch (closes: #242111).
  * Update to bash_completion 20040331 (v1.700).
  * Update skeleton files and /etc/bash.bashrc to include the contents
    of /etc/debian_chroot in the prompt, if the file exists.
  * Add openoffice completions (closes: #244611).
  * Remove ee (eeyes) completion (closes: #240668). eeyes isn't distributed
    anymore.
  * bash(1): Document ~/.bash_login and ~/.profile in FILES section.
    Closes: #204766.
  * Apply patch from http://www.savarese.org/posix/ to improve the mail
    checking code so it won't check (and possibly cause an NFS file system
    mount) until MAILPATH or MAIL is given a value. Closes: #211426.
  * Add missing dependency in debian/rules (closes: #247413).

 -- Matthias Klose <doko@debian.org>  Sat,  8 May 2004 18:36:41 +0200

bash (2.05b-2-14) unstable; urgency=low

  * Add bash reference manual in PDF format (closes: #202849).
  * Remove FAQ; the license doesn't allow modification (closes: #231157).
  * debian/copyright: Name the copyright holders (closes: #233716).
  * Update to bash_completion 20040214 (v1.690).
    - Make xspec parsing immune to comments (closes: #226812).
    - Another fix to sudo completion: "sudo completion is virtually
      impossible to get right. It's just a question of choosing what
      aspect of it is the least annoying to leave broken. :-("
      Closes: #223094.
    - xine can also complete on .asx files (closes: #231356).
    - Speedup dpkg completion (closes: #232585).
    - Fix chsh completion (closes: #232214).


=== debian/control ===
Source: bash
Section: base
Priority: required
Maintainer: Matthias Klose <doko@debian.org>
Standards-Version: 3.6.1
Build-Depends: autoconf2.13, automake1.7 (>= 1.7.8-1), patch, bison, libncurses5-dev, texinfo, autotools-dev, debhelper (>= 4.1), texi2html
Build-Depends-Indep: tetex-bin

Package: bash
Architecture: any
Pre-Depends: ${shlibs:Pre-Depends}
Depends: base-files (>= 2.1.12), passwd (>= 1:4.0.3-10)
Conflicts: bash-completion
Replaces: bash-doc (<= 2.05-1), bash-completion
Suggests: bash-doc
Essential: yes
Section: base
Priority: required
Description: The GNU Bourne Again SHell
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 Bash is ultimately intended to be a conformant implementation of the
 IEEE POSIX Shell and Tools specification (IEEE Working Group 1003.2).
 .
 Included in the bash package is the Programmable Completion Code, by
 Ian Macdonald.

Package: bash-minimal
Architecture: any
Depends: ${shlibs:Depends}, passwd (>= 1:4.0.3-10)
Suggests: bash-doc
Section: shells
Priority: optional
Description: The GNU Bourne Again SHell (minimal version)
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 Configured using --enable-minimal-config.

#Package: bash-static
#Architecture: any
#Depends: passwd (>= 1:4.0.3-10)
#Suggests: bash-doc
#Section: shells
#Priority: optional
#Description: The GNU Bourne Again SHell (static version)
# Bash is an sh-compatible command language interpreter that executes
# commands read from the standard input or from a file.  Bash also
# incorporates useful features from the Korn and C shells (ksh and csh).
# .
# Statically linked.

Package: bash-builtins
Architecture: any
Depends: bash (= ${Binary-Version})
Section: utils
Priority: optional
Description: Bash loadable builtins - headers & examples
 Bash 2 can dynamically load new builtin commands.  Included are the
 necessary headers to compile your own builtins and lots of examples.

Package: bash-doc
Architecture: all
Section: doc
Priority: optional
Replaces: bash (<< 2.03-1)
Description: Documentation and examples for the The GNU Bourne Again SHell
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 This package contains the documentation in info format, all the
 examples and the main changelog.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_COMPAT=4

# architecture dependent variables
DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU	:= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM	:= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

VERSION	:= 2.05b
PKGVERSION := $(shell dpkg-parsechangelog \
		| sed -n '/Version:/s/\(.* \)\(.*\)-2\(.*\)/\2\3/p')

CC	= gcc
CFLAGS	= -g -O2
SHELL	= bash
YACC	= bison-1.35 -y

IX	= install -o 0 -g 0
ID	= install -o 0 -g 0 -m 644

# built with installed libreadline4?
with_installed_rl = no

debflags =

PWD	:= $(shell pwd)
p	= bash
p_min	= bash-minimal
p_stat	= bash-static
p_bins	= bash-builtins
p_doc	= bash-doc
p_bdb	= bashdb

d	= debian/$(p)
d_min	= debian/$(p_min)
d_stat	= debian/$(p_stat)
d_bins	= debian/$(p_bins)
d_doc	= debian/$(p_doc)
d_bdb	= debian/$(p_bdb)

dpkg_ctrl_args := -v$(PKGVERSION) -VBinary-Version=$(PKGVERSION)

conf_args = \
	--with-curses \
	--disable-net-redirections \
	--enable-largefile \
	--prefix=/usr \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man
ifeq ($(with_installed_rl),yes)
    conf_args += --with-installed-readline
endif

static_conf_args := $(conf_args) \
	--enable-static-link \
	$(DEB_HOST_GNU_TYPE)

conf_args += $(DEB_HOST_GNU_TYPE)

min_conf_args = \
	--enable-minimal-config \
	--enable-largefile \
	--prefix=/usr \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man \
# bash malloc is broken on GNU/FreeBSD
ifeq ($(DEB_HOST_GNU_SYSTEM),kfreebsd-gnu)
    min_conf_args += --without-bash-malloc
endif
min_conf_args += $(DEB_HOST_GNU_TYPE)


#build: bash-build minimal-build static-build preinst-build all-bashdb-build check
build: bash-build check

# ---------------------------------------------------------------------------
# build standard bash

bash-build:
	$(MAKE) -f debian/rules do-build-bash \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=bash \
	    configure_args="$(conf_args)"
bash-configure:
	$(MAKE) -f debian/rules do-configure-bash \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=bash \
	    configure_args="$(conf_args)"

# ---------------------------------------------------------------------------
# build minimal bash

minimal-build:
	$(MAKE) -f debian/rules do-build-min \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=min \
	    configure_args="$(min_conf_args)"
minimal-configure:
	$(MAKE) -f debian/rules do-configure-min \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=min \
	    configure_args="$(min_conf_args)"

# ---------------------------------------------------------------------------
# build static bash

static-build:
	$(MAKE) -f debian/rules do-build-static \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=static \
	    configure_args="$(static_conf_args)"
static-configure:
	$(MAKE) -f debian/rules do-configure-static \
	    bash_src=bash \
	    bash_patches="$(debian_patches)" \
	    build=static \
	    configure_args="$(static_conf_args)"

# ---------------------------------------------------------------------------
# build standard bash

all-bashdb-build: bashdb-build #bashdb-doc-build

bashdb-build:
	DEBUGGER_START_FILE=/usr/share/bashdb/dbg-main.inc \
	$(MAKE) -f debian/rules do-build-bashdb \
	    bash_src=bashdb \
	    bash_patches="$(bashdb_patches)" \
	    build=bashdb \
	    configure_args="$(conf_args)"
bashdb-configure:
	DEBUGGER_START_FILE=/usr/share/bashdb/dbg-main.inc \
	$(MAKE) -f debian/rules do-configure-bashdb \
	    bash_src=bashdb \
	    bash_patches="$(bashdb_patches)" \
	    build=bashdb \
	    configure_args="$(conf_args)"

bashdb-doc-build: stamps/stamp-build-bashdb-doc
stamps/stamp-build-bashdb-doc:
	cp -p build-bashdb/doc/version.texi bashdb/doc/
	cp -p build-bashdb/debugger/doc/version.texi bashdb/debugger/doc/
#	$(MAKE) -C build-bashdb doc
	$(MAKE) -C build-bashdb/debugger/doc
	touch stamps/stamp-build-bashdb-doc

# ---------------------------------------------------------------------------

bash-doc-build: stamps/stamp-build-bash-doc
stamps/stamp-build-bash-doc:
	#$(MAKE) -C build-bash/doc bashref.pdf
	touch stamps/stamp-build-bash-doc

# ---------------------------------------------------------------------------

check: bash-build
	echo BEGIN test
	$(MAKE) -C build-bash test 2>&1 | tee build-bash/test-protocol
	echo END test

# ---------------------------------------------------------------------------

clean:
	dh_testdir
	dh_testroot
	rm -rf stamps build-* bash bashdb
	dh_clean

# ---------------------------------------------------------------------------


#install: build bash-install bashdb-install
install: build bash-install

bash-install: bash-build stamps/stamp-install-bash
stamps/stamp-install-bash: stamps/stamp-build-bash
	dh_testdir
	dh_testroot
	dh_clean -k -p$(p) -p$(p_doc) -p$(p_bins)
	dh_installdirs -p$(p) \
		bin \
		etc/skel \
		etc/bash_completion.d \
		usr/share/doc/$(p)
	dh_installdirs -p$(p_doc) \
		usr/share/doc/$(p)
	dh_installdirs -p$(p_bins) \
		usr/share/doc/$(p)/examples/loadables \
		usr/{include/bash/{builtins,lib/{glob,tilde}}}

	: # install it
	$(MAKE) -C build-bash install \
		CC='$(CC)' \
		CFLAGS='$(CFLAGS)' \
		YACC="$(YACC)" \
		DESTDIR=$(PWD)/$(d)
	mv $(d)/usr/bin/bash $(d)/bin/.
	chmod 755 $(d)/usr/bin/bashbug

	: # extra links
	ln -sf bash $(d)/bin/rbash
	ln -sf bash $(d)/bin/sh
	ln -sf bash.1 $(d)/usr/share/man/man1/sh.1

	: # skeleton files
	$(ID) debian/etc.bash.bashrc $(d)/etc/bash.bashrc
	$(ID) debian/skel.bashrc $(d)/etc/skel/.bashrc
	$(ID) debian/skel.bash_profile $(d)/etc/skel/.bash_profile
#	$(ID) debian/skel.bash_logout $(d)/etc/skel/.bash_logout

	: # install bash-completion
	$(ID) debian/bash_completion/bash_completion $(d)/etc/.
	cp -a debian/bash_completion/contrib \
		$(d)/usr/share/doc/$(p)/completion-contrib
	chmod 755 $(d)/usr/share/doc/$(p)/completion-contrib
	chmod 644 $(d)/usr/share/doc/$(p)/completion-contrib/*
	$(ID) debian/bash_completion/Changelog \
		$(d)/usr/share/doc/$(p)/changelog.bash_completion
	$(ID) debian/README.bash_completion $(d)/usr/share/doc/$(p)/
	cat debian/bash_completion/README \
		>> $(d)/usr/share/doc/$(p)/README.bash_completion
	$(ID) debian/bash_completion/BUGS \
		$(d)/usr/share/doc/bash/BUGS.bash_completion

	: # files for the bash-doc package
	mv $(d)/usr/share/info/bash.info $(d)/usr/share/info/bashref.info
	ln -sf bashref.info $(d)/usr/share/info/bash.info
	mv $(d)/usr/share/info $(d_doc)/usr/share/

	dh_installexamples -p$(p_doc) bash/examples/*
	mv $(d_doc)/usr/share/doc/$(p_doc)/examples \
		$(d_doc)/usr/share/doc/$(p)/examples
	rm -rf $(d_doc)/usr/share/doc/$(p)/examples/loadables
	ln -sf ../$(p)/examples $(d_doc)/usr/share/doc/$(p_doc)/examples

	cd $(d_doc)/usr/share/doc/$(p)/examples && chmod 644 \
		*bashdb/PERMISSION complete/complete.gnu-longopt
	cd $(d_doc)/usr/share/doc/$(p)/examples && chmod 755 \
		misc/aliasconv.*sh misc/cshtobash

	cd $(d_doc)/usr/share/doc/$(p)/examples && chmod 644 \
		scripts/shprompt scripts/precedence \
		scripts/bcsh.sh scripts/krand.bash

	: # files for the bash-builtins package
	$(ID) bash/include/*.h bash/*.h build-bash/{config.h,version.h} \
		$(d_bins)/usr/include/bash/
	$(ID) bash/builtins/*.h $(d_bins)/usr/include/bash/builtins/
	$(ID) bash/lib/glob/*.h $(d_bins)/usr/include/bash/lib/glob/
	$(ID) bash/lib/tilde/*.h $(d_bins)/usr/include/bash/lib/tilde/
	$(ID) bash/examples/loadables/{README,*.c} \
		$(d_bins)/usr/share/doc/$(p)/examples/loadables
	$(ID) build-bash/examples/loadables/Makefile \
		$(d_bins)/usr/share/doc/$(p)/examples/loadables
	ln -sf bash $(d_bins)/usr/share/doc/$(p_bins)

	touch stamps/stamp-install-bash

bashdb-install: bashdb-build stamps/stamp-install-bashdb
stamps/stamp-install-bashdb: stamps/stamp-build-bashdb
	dh_testdir
	dh_testroot
	dh_clean -k -p$(p_bdb)
	dh_installdirs -p$(p_bdb) \

=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/bash/bash-([\d\.]*).tar.gz 2.05b uupdate

## bash 2.05b-2-26osso3

=== debian/changelog ===
bash (1:2.05b-2-26osso3) testing-proposed-updates; urgency=low

  * Added epoch.

 -- Maemo Integration <integration@maemo.org>  Wed, 28 Mar 2007 19:26:10 +0300

## bash 2.05b-2-26osso4

=== debian/changelog ===
bash (2.05b-2-26osso4) testing-proposed-updates; urgency=low

  * Fixed bash to provide /bin/sh in cases where no other provides it

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 21 Jan 2008 15:51:59 +0200

bash (2.05b-2-26osso3) testing-proposed-updates; urgency=low

  * Fixed bash not to provide /bin/sh symlink (Fixes: NB#58018)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 17 Jan 2008 16:56:18 +0200

## bash 2.05b-2-26osso7+0m5

=== debian/changelog ===
bash (2.05b-2-26osso7+0m5) testing-proposed-updates; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 12:35:22 +0300

bash (2.05b-2-26osso7) testing-proposed-updates; urgency=low

  * Rebuilt with new ncurses

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 15 Apr 2009 10:54:26 +0300

bash (2.05b-2-26osso6+0m5) testing-proposed-updates; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 06 Apr 2009 11:42:26 +0300

bash (2.05b-2-26osso6) testing-proposed-updates; urgency=low

  * Is not an Essential package anymore
  * Fixes: NB#106231

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 06 Apr 2009 11:29:59 +0300

bash (2.05b-2-26osso5) testing-proposed-updates; urgency=low

  * Rebuilt for Fremantle

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 10 Feb 2009 16:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Conflicts: bash-completion
 Replaces: bash-doc (<= 2.05-1), bash-completion
 Suggests: bash-doc
-Essential: yes
 Section: base
 Priority: required
 Description: The GNU Bourne Again SHell

=== debian/rules ===
--- 
+++ 
@@ -208,7 +208,7 @@
 
 	: # extra links
 	ln -sf bash $(d)/bin/rbash
-	ln -sf bash $(d)/bin/sh
+#	ln -sf bash $(d)/bin/sh
 	ln -sf bash.1 $(d)/usr/share/man/man1/sh.1
 
 	: # skeleton files

## bash 2.05b-2-26osso8+0m5

=== debian/changelog ===
bash (2.05b-2-26osso8+0m5) testing-proposed-updates; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 11 Jan 2010 15:09:24 +0200

bash (2.05b-2-26osso8) testing-proposed-updates; urgency=low

  * Fixes: NB#147091 - bash postinstall script fails due to unrecognized rmdir option

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 11 Jan 2010 14:42:22 +0200

## bash 3.2-0maemo2

=== debian/changelog ===
bash (3.2-0maemo2) diablo; urgency=low

  * Fixed the Maemo-Icon-26 field.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 18 Oct 2008 03:51:31 +0400

bash (3.2-0maemo1) diablo; urgency=low

  * Ported from scratch using Ubuntu patches and previously gathered
    wisdom during the bash2 port.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 18 Oct 2008 02:35:07 +0400

=== debian/control ===
Source: bash
Section: user/tools
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
Standards-Version: 3.6.1
Build-Depends: patch, bison, make (>= 3.80), debhelper (>= 4.1),
 libncurses5-dev, libreadline5-dev

Package: bash
Architecture: any
Depends: ${shlibs:Depends}
Section: user/tools
Provides: bash
Conflicts: bash2
Replaces: bash2
Priority: optional
Description: The GNU Bourne Again SHell branch 3.x, tuned for maemo
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 This is a special version for the Maemo platform, with everything
 that is not too useful on a Internet Tablet stripped off.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAUCAYAAACTQC2+AAAAAXNSR0IArs4c
 6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gHExMHCnPBcnMAAAN0SURBVEjHrVQ9SGtJGD0zd+5PEhK1Cv5is1ss
 KxYJW+miraiNpY3Na8TKUq1Sr6UpLATtAoKdYJPGVmw2FvsQgolg4r2i5sab
 3J+ZecXunU2MDx48P/j4BoaZc8535huytbX128LCwtHU1NQfhBACAP+Vgfq9
 kFIOVCkloiiSd3d3VxcXF19wenr6N+dcSimlEGIgfzTen+OcS8657HQ68vj4
 +CubnJz8nVKKl5cX3N7egjEG0zR/SMn3lPm+DyklZmZmwBjD9PT0L4wxBgBo
 NBpYWVnBxsYGstksfiaazSZKpRJubm5AKQWlFCxmTSlFLpeDpmlwHOengDRN
 Qy6XgxBCdYZRShXQ8PAwnp6e8BkxNDSEIAgQRRGEEP1AjuPA9/1PAQrDEN1u
 V/nVB1StVjE2NvYpQI7jQEoJIUR/6wghsG0bvu8jk8lgcXERj4+PSKfTiKII
 V1dXIISAEDIwN++j1Wqh2+1CCAHOeSzkf0UAUK/XUavVsL6+jk6ng7W1NVBK
 4bou2u022u02PM9Du92G67p4fX3F8/MzHMeBbduo1Wqo1+uKyICiuK6uruLg
 4ADZbBaHh4cYGRlBLpfD8vIy7u/v1WzFl3DOwTlXnkRRpJTG+4QQ0N7nTSlF
 uVxGoVBAuVzG9vY2KpUKlpaWYNs2DMOAaZowDAO6rqtkjKlB13VdkY7JAOif
 o2QyiWKxiLm5OVBKkc/nYRgGdnd3sbOzA0qp8khKCc45oihCGIZgjEHTNGia
 hjAMQSntV9T7GEzTRKFQgOu62NzcRKPRwN7eHorFIpLJJFKplKq9mUgkkEql
 YJomTNOEZVkwDONjRQDAGIPneTg7O0OlUsHl5SWur68hpcTs7Czy+Xzf6xJC
 oFQqwXVdcM4hhFAWGIbRp4j1tsI0Tfi+j6OjI+i6jpOTE5imCcYY5ufnMTEx
 0feBCiGg6zosy0IQBOozllKCMTaoSAgBKSUSiQQ0TYNlWaoNsfHn5+fQNE1d
 FPtjWRYIIdB1XXlEKYVlWX1zRKrVqhwfH0cQBGi1WopBrLJ3HWdMTAjxYfYM
 KTzP+7d1zWbz6+jo6K+EEKTTadXr+EBvjQFif97vfbQGANu2HzUhxD+ZTOZP
 XdeH397e4Hmeyk6ng263qz5H3/cRBIHKMAwRRRGiKOoDiQkRQvDw8NDc39//
 6xv3xadN7wcR/QAAAABJRU5ErkJggg==

## bash 3.2-0maemo3

=== debian/changelog ===
bash (3.2-0maemo3) diablo; urgency=low

  * Don't run bash-setup.sh when running a non-interactive shell.

 -- Andrew Zabolotny <zap@homelink.ru>  Fri,  2 Jan 2009 03:15:39 +0300

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_COMPAT=4

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    SUB_MAKEFLAGS += -j$(NUMJOBS)
endif
ifndef CFLAGS
    CFLAGS = -O2
endif
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -mthumb
endif

DEB_DESTDIR = $(CURDIR)/debian/bash/

# Black makefile magic
reverse=$(strip $(eval __=)$(foreach _,$1,$(eval __=$_ $(__)))$(__))

configure_args = \
	--with-curses \
	--with-installed-readline \
	--disable-net-redirections \
	--disable-debugger \
	--disable-help-builtin \
	--enable-multibyte \
	--enable-largefile \
	--disable-mem-scramble \
	--prefix=/usr \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man \
	--without-bash-malloc

patchdir = debian/patches
bash_patches = \
	bash32-001 \
	bash32-002 \
	bash32-003 \
	bash32-004 \
	bash32-005 \
	bash32-006 \
	bash32-007 \
	bash32-008 \
	bash32-009 \
	bash32-010 \
	bash32-011 \
	bash32-012 \
	bash32-013 \
	bash32-014 \
	bash32-015 \
	bash32-016 \
	bash32-017 \
	bash32-018 \
	bash32-019 \
	bash32-020 \
	bash32-021 \
	bash32-022 \
	bash32-023 \
	bash32-024 \
	bash32-025 \
	bash32-026 \
	bash32-027 \
	bash32-028 \
	bash32-029 \
	bash32-030 \
	bash32-031 \
	bash32-032 \
	bash32-033 \
	bashbug-editor \
	deb-bash-config \
	deb-examples \
	man-arithmetic \
	man-fignore \
	man-bashrc \
	man-bashlogout \
	man-substring-exp \
	man-nocaseglob \
	man-test \
	man-test2 \
	man-net-redirections \
	privmode \
	rbash-manpage \
	command-not-found \
	bash-default-editor \
	po-sv \
	bash-subst-param-length \
	pgrp-pipe \
	input-err \
	shell-compat \
	bash32-nodebugger-fix

build: stamp-build
stamp-build: stamp-configure
	dh_testdir
	$(MAKE) $(SUB_MAKEFLAGS)
	touch stamp-build

configure: stamp-configure
stamp-configure: stamp-patch
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure $(configure_args)
	touch stamp-configure

clean: $(if $(wildcard stamp-patch),stamp-unpatch)
	dh_testdir
	dh_testroot
	if [ -f Makefile ]; then make distclean; fi
	dh_clean
	rm -f stamp-*

install: build stamp-install
stamp-install: stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m 0755 -s bash $(DEB_DESTDIR)/bin/bash
	install -m 0755 debian/bash-setup.sh $(DEB_DESTDIR)/usr/bin/bash-setup.sh
	install -m 0644 debian/etc.bash.bashrc $(DEB_DESTDIR)/etc/bash.bashrc
	install -m 0644 debian/etc.profile.d.prompt.sh $(DEB_DESTDIR)/etc/profile.d/prompt.sh
	install -m 0644 debian/etc.profile.d.chk-bash-setup.sh $(DEB_DESTDIR)/etc/profile.d/chk-bash-setup.sh
	touch $@

binary:	binary-indep binary-arch
binary-indep:
binary-arch: stamp-install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

patch: stamp-patch
stamp-patch: $(foreach p,$(bash_patches),stamp-patch-$(p))
	echo -e "\nPatches applied in this version:" > pxxx
	for i in $(bash_patches); do \
	  echo -e "\n$$i:" >> pxxx; \
	  sed -n 's/^# *DP: */  /p' $(patchdir)/$$i.dpatch >> pxxx; \
	done
	mv -f pxxx $@

stamp-patch-%: $(patchdir)/%.dpatch
	@if [ -f $@ ]; then \
	  echo "$* patches already applied."; exit 1; \
	fi
	/bin/sh $< -patch
	rm -f stamp-unpatch-$*
	echo "$* patches applied." > $@

unpatch: stamp-unpatch
stamp-unpatch: $(foreach p,$(call reverse,$(bash_patches)),stamp-unpatch-$(p))
	rm -f $@

stamp-unpatch-%: $(patchdir)/%.dpatch
	@if [ -f $@ ]; then \
	  echo "$* patches already removed."; exit 1; \
	fi
	/bin/sh $< -unpatch
	rm -f stamp-patch-$*
	echo "$* patches removed." > $@

.PHONY: patch unpatch binary binary-arch binary-indep clean \
    build install

## bash 3.2-0maemo4

=== debian/changelog ===
bash (3.2-0maemo4) diablo; urgency=low

  * Forget automatic run of bash-setup.sh. This should solve all problems
    with running an interactive dialog at inappropiate times (e.g. during
    bootup). Instead, tell the user after installation that he can run
    bash-setup to set up bash as his default shell.

 -- Andrew Zabolotny <zap@homelink.ru>  Wed, 29 Apr 2009 02:10:40 +0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: bash
+Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
 Section: user/tools
 Priority: optional
 Maintainer: Andrew Zabolotny <zap@homelink.ru>
 Standards-Version: 3.6.1
-Build-Depends: patch, bison, make (>= 3.80), debhelper (>= 4.1),
- libncurses5-dev, libreadline5-dev
+Build-Depends: posix-locales, locales, libreadline5-dev, gnupg
 
 Package: bash
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -118,10 +118,9 @@
 	dh_clean -k
 	dh_installdirs
 	install -m 0755 -s bash $(DEB_DESTDIR)/bin/bash
-	install -m 0755 debian/bash-setup.sh $(DEB_DESTDIR)/usr/bin/bash-setup.sh
+	install -m 0755 debian/bash-setup.sh $(DEB_DESTDIR)/usr/bin/bash-setup
 	install -m 0644 debian/etc.bash.bashrc $(DEB_DESTDIR)/etc/bash.bashrc
 	install -m 0644 debian/etc.profile.d.prompt.sh $(DEB_DESTDIR)/etc/profile.d/prompt.sh
-	install -m 0644 debian/etc.profile.d.chk-bash-setup.sh $(DEB_DESTDIR)/etc/profile.d/chk-bash-setup.sh
 	touch $@
 
 binary:	binary-indep binary-arch
